curl --request POST \
--url https://mention-me.com/api/merchant/v2/customers/lapse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"type": "email",
"value": ""
}
]
}
'import requests
url = "https://mention-me.com/api/merchant/v2/customers/lapse"
payload = { "identifiers": [
{
"type": "email",
"value": ""
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: [{type: 'email', value: ''}]})
};
fetch('https://mention-me.com/api/merchant/v2/customers/lapse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": [
{
"type": "email",
"value": ""
}
],
"errors": [
{
"value": "<string>",
"reason": "notFound"
}
]
}{
"status": 401,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "Unauthorized",
"detail": "Missing at least one of the required scopes"
}{
"status": 399,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "<string>",
"detail": "<string>"
}{
"status": 401,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "Too Many Requests",
"detail": "Rate limit exceeded for Client Id"
}Lapse customers
A customer who is lapsed is one who you no longer consider an existing customer. This can be used to allow the customer to be referred again. A common use case for this is in subscription businesses where a customer has cancelled their subscription and is no longer a customer - you can mark them as lapsed to enable them to be re-introduced.
Lapsing is a permanent action. It can be reversed by recording a new transaction for the customer.
Lapsing is done on a queue. It may take some time for the customers to be recorded as lapsed. We recommend using the GET /v2/customers endpoint to determine if the customer is active or not. Approximate time to lapse is
normally under < 5 minutes, but can be several hours in some cases.
Customers who we were able to queue will be returned in the accepted array. Customers who we do not hold a record of or cannot find will be returned in the errors array.
Scopes: customers:write
Rate limits: 300 requests per 5 minutes. Shared across all ‘customers’ endpoints.
Authorizations
RFC8725 Compliant JWT
Body
A collection of identifiers for customers in Mention Me.
Maximum of 100 identifiers.
1 - 100 elements- Option 1
- Option 2
Show child attributes
Show child attributes
Response
All identifiers that were queued to be marked as lapsed.
A collection of customer identifiers which were accepted, or resulted in an error.
Was this page helpful?